Subject: bug#30755: 25.3; Encoding of load-file-name wrong when pathtoworking dir does not contain accented letter

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 May 2018 20:22:28 +0300

> Cc: "[email-masked]" <[email-masked]>
> From: Márton Marczell <[email-masked]>
> Date: Fri, 11 May 2018 00:23:18 +0200
> 
> I’ve uploaded the repro files at
> 
> http://users.itk.ppke.hu/~marma/downloads/emacsdebug.zip
> 
> The procedure is:
> 
> 1 Create a Windows user with an accented letter in its name (mine is “Márton”)
> 2 Unzip the above files to %APPDATA% (C:\Users\Márton\AppData\Roaming)
> 3 Start Emacs so that the working directory has no accented letter in the path
> 4 Notice how in the Messages buffer, the path name is wrongly encoded.

Thanks.  Creating a new user is not really feasible for me, but I
think I succeeded recreating this by setting HOME manually to point to
a directory with a non-ASCII name.

I see the problem, and I'm testing a provisional solution.  Can you
build your own Emacs from sources?  If so, I'd like to ask you to test
the solution I came up with.